Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.displayelements
Class CurveWalker

    java.lang.Object
      org.deegree.graphics.displayelements.CurveWalker

     class CurveWalker

extends Object

Walks along a given curve and generates positions on the line string in regular intervals (i.e. a series of points on the line string with steps of the same distance).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:

  Constructor Summary
  `CurveWalker(Rectangle roi)` Creates a new instance of `CurveWalker`.

  Method Summary
  `(package private) ArrayList<double[]>` | `createPositions(int[][] pos, double width, boolean polygon)` Determines positions on the given curve where a caption could be drawn.

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### CurveWalker

      CurveWalker(Rectangle roi)

    Creates a new instance of `CurveWalker`. The region of interest (where positions are actually needed, because they are visible) is specified by the given `Rectangle`.

    Parameters:
      `roi` - region of interest (visibile area)

  Method Detail

  ### createPositions

      ArrayList<double[]> createPositions(int[][] pos,
                                          double width,
                                          boolean polygon)

    Determines positions on the given curve where a caption could be drawn. For each of these positions, three candidates are produced; one on the line, one above of it and one below.

    Parameters:
      `pos` -
      `width` - distance between single positions
      `polygon` - true if the positions denote a polygon
    Returns:
      ArrayList containing positions

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | deegree 2.4 (2010/11/11 10:47 build-27-official)
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  an open source project founded by lat/lon, Bonn, Germany.
  For more information visit: http://www.deegree.org